<ftssp:Product 
  xmlns:ftssp="http://xmlns.4suite.org/reserved#product" 
  xmlns:dc="http://purl.org/dc/elements/1.1/"
  version = '0.6'
  >
  <dc:Description>A complex product file with dependencies</dc:Description>
  <dc:Title>Complex Test File</dc:Title>

  <!-- Container dependencies-->
  <ftssp:Container path='cont/sub'/>
  <ftssp:Container path='cont'/>

  <!--Raw File Note, this will not get updated because it will be already there-->
  <ftssp:RawFile path='test1.html' src='test1.html' imt='text/html'/>

  <!--This raw file will get its IMT updated -->
  <ftssp:RawFile path='test2.html' src='test1.html' imt='text/text'/>

  <!-- This raw file will get updated added-->
  <ftssp:RawFile path='test3.html' src='test1.html'/>
  

  <!-- Permission, Group and Owner dependencies -->
  <ftssp:Container path='perm'>
    <ftssp:Acl>
      <ftssp:Access ident='test-user' type='read' allowed='1'/>
      <ftssp:Access ident='test-group' type='read' allowed='1'/>
    </ftssp:Acl>
    <ftssp:Owner ident='test-user2'/>
  </ftssp:Container>
  <ftssp:Group name='test-group' base-path='perm'>
    <ftssp:Member name='test-user'/>
  </ftssp:Group>
  <ftssp:User name='test-user' password='test-user' base-path='perm'/>
  <ftssp:User name='test-user2' password='test-user2' base-path='perm'/>


  <!-- DocDef and Xml Document dependencies -->
  <ftssp:XmlDocument path='test1.xml' src='test1.xml' doc-def='test1.xpathdd'/>
  <ftssp:XPathDocumentDefinition path='test1.xpathdd' src='test1.xpathdd'/>

  <!-- Alias and file dependencies -->
  <ftssp:Alias path='test1.alias' reference='test1.aliasref'/>
  <ftssp:RawFile path='test1.aliasref' src='test1.html'/>

  <!-- XSLT Include and Import Dependencies -->
  <ftssp:XsltDocument path='test-include.xslt' src='test-include.xslt'/>
  <ftssp:XsltDocument path='test-import.xslt' src='test-import.xslt'/>
  <ftssp:XsltDocument path='test1.xslt' src='test1.xslt'/>
  
  <!-- An alias that goes outside of our base -->
  <ftssp:Alias path='test2.alias' reference='/ftss/users'/>
  

</ftssp:Product>
